#include <stdio.h>

int main(void) {
  int n,k,a,i=0,br=0;
  scanf("%d %d",&n,&k);
  int mtrx[(2*n)+1];
  while(i<(2*n)+1){
    mtrx[i]=0;
    i++;
  }
  i=0;
  while(i++<n){
    scanf("%d",&a);
    mtrx[a+n]++;
    
  }

  i=0;
  while(i<2*n+1){
    if(mtrx[i]>=k)
      br++;
    i++;
  }
  printf("%d\n",br);
  i=0;
  while(i<2*n+1){
    if(mtrx[i]>=k){
      printf("%d ",i-n);
    }
      
      i++;
  }
  
  return 0;
}